<!DOCTYPE html>
<html>

<head>
  <title>Triage alerts</title>
  <link rel="stylesheet" href="static/daisyui.css">

  <style>
    .alert-summary {
      text-align: left;
    }

    .alert-age {
      white-space: nowrap;
    }

    .new-task-btn {
      white-space: nowrap;
    }

    .alert-group-tbody {
      border-bottom: 13px solid transparent;
    }

    .group-severity-critical {
      background-color: hsl(var(--er) / 0.8);
    }

    .group-severity-warning {
      background-color: hsl(var(--wa) / 0.8);
    }
  </style>
</head>

<body>
  <div class="hero bg-base-200">
    <div class="hero-content text-center">
      <h1 class="text-5x1 font-bold">Triage outstanding alerts ({{ numAlerts . }})</h1>
    </div>
  </div>

  <div class="overflow-x-auto">
    <table class="table table-sm">
      {{ range . }}
      <thead>
        <tr>
          <th colspan="1"></th>
          <th colspan="3">
            {{ index .Labels "alertname" }}

            {{ range $key, $value := .Labels }}
            {{ if eq $key "alertname" }} {{ continue }} {{ end }}
            <div class="badge badge-outline badge-sm">{{ $key }}={{ $value }}</div>
            {{ end }}

            {{ $groupSeverity := index (index .Alerts 0).Labels "severity" }}
            <div class="badge badge-outline badge-sm group-severity-{{ $groupSeverity }}">
              {{ $groupSeverity }}
            </div>
          </th>
        </tr>
      </thead>

      <tbody class="alert-group-tbody">
        {{ range .Alerts }}
        <tr class="hover">
          <td>
            <button class="btn btn-xs btn-neutral new-task-btn">
              <a target="_blank" href="{{ newTaskUrl . }}">
                New task
              </a>
            </button>
          </td>

          {{ $summary := index .Annotations "summary" }}
          {{ $summaryShort := ellipsis $summary 192 }}
          <td>
            {{ if ne $summary $summaryShort }}
            <div class="tooltip" data-tip="{{ $summary }}">
              <div class="alert-summary">{{ $summaryShort }}</div>
            </div>
            {{ else }}
            <div class="alert-summary">{{ $summary }}</div>
            {{ end }}
          </td>

          <td class="alert-age">
            <div class="tooltip" data-tip="{{ .StartsAt }}">
              {{ humanizeDate .StartsAt }}
            </div>
          </td>

          {{ $alert := . }}
          <td>
            {{ range $key, $value := .Labels }}
            {{ if or (eq $key "site") (eq $key "instance") }}
            <div class="badge badge-ghost badge-sm">
              <div class="tooltip"
                   data-tip="{{ tooltipData $alert "site" "instance" }}">
              {{ $key }}={{ $value }}
              </div>
            </div>
            {{ end }}
            {{ end }}
          </td>
        </tr>
        {{ end }}

        {{ end }}
    </table>
  </div>
</body>

</html>